Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class MemoryIntRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageSupport
            |
            +--com.sun.jimi.core.raster.MemoryIntRasterImage

Direct Known Subclasses:
  MemoryChanneledIntRasterImage, OneshotIntRasterImage, VMemIntRasterImage

public class MemoryIntRasterImage
extends JimiRasterImageSupport
implements ChanneledIntRasterImage

In-memory implementation of int-based storage.

Field Summary
`protected int[]` | `imageData`
`protected int[]` | `pixelBuffer`

Fields inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`abort, colorModel, error, finished, forceRGB, modified, newFrameData, productionAllowed, productionStarted, properties, rowBuf, sourceColorModel, waitForOptions`

Constructor Summary
`MemoryIntRasterImage(int width, int height, java.awt.image.ColorModel cm)`

Method Summary
`int[]` | `asIntArray()`
`protected java.awt.image.ColorModel` | `getAppropriateColorModel(java.awt.image.ColorModel cm)`
`void` | `getChannelRectangle(int channel, int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getChannelRow(int channel, int y, byte[] buffer, int offset)`
`int` | `getPixel(int x, int y)`
`int` | `getPixelRGB(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRow(int y, int[] buffer, int offset)`
`void` | `getRowRGB(int y, int[] buffer, int offset)`
`protected void` | `initStorage()`
`protected void` | `sendPixel(int x, int y, int value)`
`protected void` | `sendRectangle(int x, int y, int width, int height, int[] pixels, int offset, int scansize)`
`protected void` | `sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer, java.awt.Rectangle region)`
`protected void` | `sendRow(int y, int[] pixels, int offset)`
`protected void` | `sendToConsumerFully(java.awt.image.ImageConsumer consumer)`
`void` | `setChannelPixel(int channel, int x, int y, byte value)`
`void` | `setChannelRectangle(int channel, int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`
`void` | `setChannelRow(int channel, int y, byte[] pixels, int offset)`
`void` | `setPixel(int x, int y, int value)`
`void` | `setRectangle(int x, int y, int width, int height, int[] pixels, int offset, int scansize)`
`void` | `setRow(int y, int[] pixels, int offset)`
`void` | `storeChannelRectangle(int channel, int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`
`void` | `storePixel(int x, int y, int value)`
`void` | `storeRectangle(int x, int y, int width, int height, int[] pixels, int offset, int scansize)`
`void` | `storeRow(int y, int[] pixels, int offset)`
`protected int` | `toRGB(int pixel)`
`protected void` | `toRGB(int[] pixels, int width, int height, int offset, int scansize)`

Methods inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`addConsumer, addDirectConsumer, addWaitingConsumer, catchupConsumer, getColorModel, getCroppedImageProducer, getDirectConsumer, getFactory, getHeight, getImageProducer, getOptions, getProperties, getRectangleARGBChannels, getRectangleRGBAChannels, getRectangleRGBChannels, getWidth, hasDirectConsumer, initConsumer, isConsumer, isError, mustWaitForOptions, produceCroppedImage, removeConsumer, requestTopDownLeftRightResend, setColorModel, setDecodingController, setError, setFactory, setFinished, setImageConsumerHints, setModified, setOptions, setWaitForOptions, startProduction, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageData

    protected int[] imageData

### pixelBuffer

    protected int[] pixelBuffer

Constructor Detail

### MemoryIntRasterImage

    public MemoryIntRasterImage(int width,
                                int height,
                                java.awt.image.ColorModel cm)

Method Detail

### initStorage

    protected void initStorage()
                        throws JimiException

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

### getRowRGB

    public void getRowRGB(int y,
                          int[] buffer,
                          int offset)
                   throws ImageAccessException

### getPixelRGB

    public int getPixelRGB(int x,
                           int y)
                    throws ImageAccessException

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             int[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

### getRow

    public void getRow(int y,
                       int[] buffer,
                       int offset)
                throws ImageAccessException

### getPixel

    public int getPixel(int x,
                        int y)
                 throws ImageAccessException

### getChannelRectangle

    public void getChannelRectangle(int channel,
                                    int x,
                                    int y,
                                    int width,
                                    int height,
                                    byte[] buffer,
                                    int offset,
                                    int scansize)
                             throws ImageAccessException

  Overrides:
    getChannelRectangle in class JimiRasterImageSupport

### getChannelRow

    public void getChannelRow(int channel,
                              int y,
                              byte[] buffer,
                              int offset)
                       throws ImageAccessException

  Overrides:
    getChannelRow in class JimiRasterImageSupport

### setRectangle

    public void setRectangle(int x,
                             int y,
                             int width,
                             int height,
                             int[] pixels,
                             int offset,
                             int scansize)
                      throws ImageAccessException

### setRow

    public void setRow(int y,
                       int[] pixels,
                       int offset)
                throws ImageAccessException

### setPixel

    public void setPixel(int x,
                         int y,
                         int value)
                  throws ImageAccessException

### storeRectangle

    public void storeRectangle(int x,
                               int y,
                               int width,
                               int height,
                               int[] pixels,
                               int offset,
                               int scansize)
                        throws ImageAccessException

### storeRow

    public void storeRow(int y,
                         int[] pixels,
                         int offset)
                  throws ImageAccessException

### storePixel

    public void storePixel(int x,
                           int y,
                           int value)
                    throws ImageAccessException

### setChannelRectangle

    public void setChannelRectangle(int channel,
                                    int x,
                                    int y,
                                    int width,
                                    int height,
                                    byte[] pixels,
                                    int offset,
                                    int scansize)
                             throws ImageAccessException

  Specified by:
    setChannelRectangle in interface ChanneledIntRasterImage

### setChannelRow

    public void setChannelRow(int channel,
                              int y,
                              byte[] pixels,
                              int offset)
                       throws ImageAccessException

  Specified by:
    setChannelRow in interface ChanneledIntRasterImage

### setChannelPixel

    public void setChannelPixel(int channel,
                                int x,
                                int y,
                                byte value)
                         throws ImageAccessException

  Specified by:
    setChannelPixel in interface ChanneledIntRasterImage

### storeChannelRectangle

    public void storeChannelRectangle(int channel,
                                      int x,
                                      int y,
                                      int width,
                                      int height,
                                      byte[] pixels,
                                      int offset,
                                      int scansize)
                               throws ImageAccessException

### sendRectangle

    protected void sendRectangle(int x,
                                 int y,
                                 int width,
                                 int height,
                                 int[] pixels,
                                 int offset,
                                 int scansize)

### sendRow

    protected void sendRow(int y,
                           int[] pixels,
                           int offset)

### sendPixel

    protected void sendPixel(int x,
                             int y,
                             int value)

### sendToConsumerFully

    protected void sendToConsumerFully(java.awt.image.ImageConsumer consumer)
                                throws ImageAccessException

  Overrides:
    sendToConsumerFully in class JimiRasterImageSupport

### sendRegionToConsumerFully

    protected void sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer,
                                             java.awt.Rectangle region)
                                      throws ImageAccessException

  Overrides:
    sendRegionToConsumerFully in class JimiRasterImageSupport

### toRGB

    protected void toRGB(int[] pixels,
                         int width,
                         int height,
                         int offset,
                         int scansize)

### toRGB

    protected int toRGB(int pixel)

### getAppropriateColorModel

    protected java.awt.image.ColorModel getAppropriateColorModel(java.awt.image.ColorModel cm)

  Overrides:
    getAppropriateColorModel in class JimiRasterImageSupport

### asIntArray

    public int[] asIntArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD